groovy.ui

## Class GroovyMain

- java.lang.Object
- - groovy.ui.GroovyMain

-     public class GroovyMain
      extends java.lang.Object

  A Command line to execute groovy.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroovyMain()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getText(java.lang.String urlOrFilename)`
    `java.io.File` | `huntForTheScriptFile(java.lang.String input)` Hunt for the script file, doesn't bother if it is named precisely.
    `static void` | `main(java.lang.String[] args)` Main CLI interface.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroovyMain

          public GroovyMain()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

      Main CLI interface.
      Parameters:
        `args` - all command line args.

    - #### getText

          public java.lang.String getText(java.lang.String urlOrFilename)
                                   throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### huntForTheScriptFile

          public java.io.File huntForTheScriptFile(java.lang.String input)

      Hunt for the script file, doesn't bother if it is named precisely. Tries in this order: - actual supplied name - name.groovy - name.gvy - name.gy - name.gsh